#!/usr/bin/env python
#
import gtk,os
from xml.dom import minidom, Node

class rotator:
	DEF_PAD = 5
	ROTATE_TYPE="normal"
	
	def __init__(self):
		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
	        self.window.set_title("Rotator")
	        self.window.set_border_width(5)
		self.window.set_position(gtk.WIN_POS_CENTER)
	        self.window.set_resizable(gtk.FALSE)
		self.window.connect("delete_event", gtk.mainquit)
	        self.window.connect("destroy", gtk.mainquit)
		
		MainBox = gtk.VBox(gtk.FALSE, self.DEF_PAD)
		self.window.add(MainBox)
		
	        mainframe = gtk.Frame("Change rotation")
		MainBox.pack_start(mainframe, gtk.TRUE, gtk.TRUE, self.DEF_PAD)
		
		vbox = gtk.VBox(gtk.FALSE, self.DEF_PAD)
		vbox.set_border_width(self.DEF_PAD)
	        mainframe.add(vbox)

	#Normal
	        self.serial_button = gtk.RadioButton(None, "Normal")
	        self.serial_button.connect("toggled", self.change_orientation, "normal")
		vbox.pack_start(self.serial_button, gtk.FALSE, gtk.TRUE, 0)

	#Inverted
	        self.network_button = gtk.RadioButton(self.serial_button, "Inverted")
	        self.network_button.connect("toggled", self.change_orientation, "inverted")
	        vbox.pack_start(self.network_button, gtk.FALSE, gtk.TRUE, self.DEF_PAD)
		

	#Left
	        self.network_button = gtk.RadioButton(self.serial_button, "Left")
	        self.network_button.connect("toggled", self.change_orientation, "left")
	        vbox.pack_start(self.network_button, gtk.FALSE, gtk.TRUE, self.DEF_PAD)

	#Rightt
	        self.network_button = gtk.RadioButton(self.serial_button, "Right")
	        self.network_button.connect("toggled", self.change_orientation, "right")
	        vbox.pack_start(self.network_button, gtk.FALSE, gtk.TRUE, self.DEF_PAD)

	        bbox = gtk.HButtonBox ()
	        MainBox.pack_start(bbox, gtk.FALSE, gtk.FALSE, 0)
	        bbox.set_layout(gtk.BUTTONBOX_END)

	        cancel_button = gtk.Button("Cancel",gtk.STOCK_CANCEL)
	        cancel_button.connect("clicked", gtk.mainquit)
	        bbox.add(cancel_button)

	        okbutton = gtk.Button("Ok",gtk.STOCK_OK)
		#okbutton.connect("clicked", self.close_and_update)
		okbutton.connect("clicked", self.rotate)
	        bbox.add(okbutton)
	        okbutton.set_flags(gtk.CAN_DEFAULT)
	        okbutton.grab_default()

		self.window.show_all()

	def change_orientation(self, widget, data=None):
		self.ROTATE_TYPE = data
		#os.system("xrandr -o " + self.ROTATE_TYPE)
		return True


	def main(self):
		gtk.main()
		
	def rotate(self,data):
		os.system("xrandr -o " + self.ROTATE_TYPE)
		return True

	def close_and_update():
		return True
		
if __name__ == "__main__":
	rot = rotator()
	rot.main()
	
